mysql_next_result(3)

  Name

mysql_next_result - prepares next result set

  Synopsis

    #include <mysql.h>
    int mysql_next_result(MYSQL * mysql);

  Description

Prepares next result set from a previous call to mysql_real_query(3) which can be retrieved by mysql_store_result(3) or [mysql_use_result()](()](mysql_use_result). Returns zero on success, nonzero if an error occurred.

  Parameter

•   mysql - a mysql handle, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Notes

•   If a multi query contains errors the return value of mysql_errno(3) and mysql_error(3) might change and there will be no result set available.

  Return value

Returns zero on success, non zero value on error.

  See also

•   mysql_real_query(3)

•   mysql_store_result(3)

•   mysql_use_result(3)

•   mysql_more_results(3)